[evolvis-commits] r18723: This is so… ouch: without locales-all installed, PHP segfaults Apache.

mirabilos at evolvis.org mirabilos at evolvis.org
Mon Oct 8 16:02:47 CEST 2012


Author: mirabilos
Date: 2012-10-08 16:02:47 +0200 (Mon, 08 Oct 2012)
New Revision: 18723

Modified:
   trunk/gforge_base/evolvisforge-5.1/src/README.evolvis
   trunk/gforge_base/evolvisforge-5.1/src/debian/changelog
   trunk/gforge_base/evolvisforge-5.1/src/packaging/control/020common
   trunk/gforge_base/evolvisforge-5.1/src/packaging/control/900evolvis-meta
Log:
This is so… ouch: without locales-all installed, PHP segfaults Apache.

Modified: trunk/gforge_base/evolvisforge-5.1/src/README.evolvis
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/README.evolvis	2012-10-08 14:02:42 UTC (rev 18722)
+++ trunk/gforge_base/evolvisforge-5.1/src/README.evolvis	2012-10-08 14:02:47 UTC (rev 18723)
@@ -17,7 +17,8 @@
   up en_US.UTF-8, en_GB.UTF-8 and de_DE.UTF-8 locales for
   use by the forge. It may work without, as the C.UTF-8
   locale is now (wheezy) used internally, but we don’t test
-  that.
+  that. – Actually, without locales-all installed, PHP5 as
+  shipped in Debian wheezy on 2012-10-08 ¡SEGFAULTS!
 
 • Due to the move to Debian wheezy, we now recommend at
   least one Gibibyte of RAM and require at least 512 MiB,

Modified: trunk/gforge_base/evolvisforge-5.1/src/debian/changelog
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/debian/changelog	2012-10-08 14:02:42 UTC (rev 18722)
+++ trunk/gforge_base/evolvisforge-5.1/src/debian/changelog	2012-10-08 14:02:47 UTC (rev 18723)
@@ -1,3 +1,9 @@
+fusionforge (1:5.1.1+evolvis75) xunstable; urgency=low
+
+  * Make “locales-all” a Depends again. Otherwise, PHP5 segfaults…
+
+ -- Thorsten Glaser <tg at mirbsd.de>  Mon, 08 Oct 2012 16:00:11 +0200
+
 fusionforge (1:5.1.1+evolvis74.1) unstable; urgency=high
 
   * Oops, fix refactoro…

Modified: trunk/gforge_base/evolvisforge-5.1/src/packaging/control/020common
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/packaging/control/020common	2012-10-08 14:02:42 UTC (rev 18722)
+++ trunk/gforge_base/evolvisforge-5.1/src/packaging/control/020common	2012-10-08 14:02:47 UTC (rev 18723)
@@ -1,7 +1,7 @@
 Package: @OLDPACKAGE at -common
 Architecture: all
 Pre-Depends: base-files (>= 6.11)
-Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, pax (>= 1:20120216-1~), lockfile-progs, adduser, php5-cli, php-htmlpurifier, libphp-simplepie (<= 1.2.1-3), python, mksh, xz-utils, sudo, w3c-dtd-xhtml, xmlstarlet, libbsd-arc4random-perl, ${misc:Depends}
+Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, pax (>= 1:20120216-1~), lockfile-progs, adduser, php5-cli, php-htmlpurifier, libphp-simplepie (<= 1.2.1-3), python, mksh, xz-utils, sudo, w3c-dtd-xhtml, xmlstarlet, libbsd-arc4random-perl, locales-all, ${misc:Depends}
 Conflicts: sourceforge, @OLDPACKAGE at -plugin-scmcvs (<< 4.1), @OLDPACKAGE at -plugin-scmsvn (<< 4.1), @OLDPACKAGE at -plugin-scmccase (<< 4.1), @OLDPACKAGE at -theme-starterpack (<< 4.0)
 Provides: evolvisforge-common
 Description: collaborative development tool - shared files

Modified: trunk/gforge_base/evolvisforge-5.1/src/packaging/control/900evolvis-meta
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/packaging/control/900evolvis-meta	2012-10-08 14:02:42 UTC (rev 18722)
+++ trunk/gforge_base/evolvisforge-5.1/src/packaging/control/900evolvis-meta	2012-10-08 14:02:47 UTC (rev 18723)
@@ -18,6 +18,5 @@
  evolvisforge-plugin-scmgit, evolvisforge-plugin-scmsvn,
  evolvisforge-plugin-extratabs,
  evolvisforge-plugin-mediawiki-gf, evolvisforge-plugin-mediawiki-ff
-Recommends: locales-all | locales
 Provides: fusionforge
 Description: collaborative development tool - metapackage



More information about the evolvis-commits mailing list